Странное случилось, в один прекрастный момент стал получать исключения, например

 ImportError: cannot import name 'cookies'

При одном единственном импорте from http import cookies. Все более в файле ничего нету.

То же самое получаю если пытаюсь юзать пакеты из Tornado, например from tornado import httpserver, получаю :

Traceback (most recent call last):
  File "/usr/local/lib/python3.4/dist-packages/tornado-4.0.2-py3.4-linux-x86_64.egg/tornado/httputil.py", line 39, in <module>
    import Cookie  # py2
ImportError: No module named 'Cookie'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/valor/dev/PyScripts/cam-srvice/main.py", line 2, in <module>
    from tornado import httpserver
  File "/usr/local/lib/python3.4/dist-packages/tornado-4.0.2-py3.4-linux-x86_64.egg/tornado/httpserver.py", line 34, in <module>
    from tornado.http1connection import HTTP1ServerConnection, HTTP1ConnectionParameters
  File "/usr/local/lib/python3.4/dist-packages/tornado-4.0.2-py3.4-linux-x86_64.egg/tornado/http1connection.py", line 29, in <module>
    from tornado import httputil
  File "/usr/local/lib/python3.4/dist-packages/tornado-4.0.2-py3.4-linux-x86_64.egg/tornado/httputil.py", line 41, in <module>
    import http.cookies as Cookie  # py3
ImportError: No module named 'http.cookies'

Какая-то долбанная магия.. Почему так ? Ведь пакеты физически есть и тот же PyCharm тоже их видит (по крайней мере в автокомплите). Куда копать? Работа встала :(

ЗЫ немного sys.path

['/home/valor/dev/PyScripts/cam-srvice', '/home/valor/dev/venv/3.4/lib/python3.4/site-packages/setuptools-1.1.5-py3.4.egg', '/home/valor/dev/venv/3.4/lib/python3.4/site-packages/pip-1.4.1-py3.4.egg', '/usr/local/lib/python3.4/dist-packages/pyrad-2.0-py3.4.egg', '/usr/local/lib/python3.4/dist-packages/tornado-4.0.2-py3.4-linux-x86_64.egg', '/home/valor/dev/venv/3.4/lib/python3.4', '/home/valor/dev/PyScripts/cam-srvice', '/usr/lib/python3.4', '/usr/lib/python3.4/plat-x86_64-linux-gnu', '/usr/lib/python3.4/lib-dynload', '/home/valor/dev/venv/3.4/lib/python3.4/site-packages', '/home/valor/.local/lib/python3.4/site-packages', '/usr/local/lib/python3.4/dist-packages', '/usr/lib/python3/dist-packages']

Интересный момент, что данной аномалии подвержена вся ветка 3его питона, однако 2.7 в норме, все работает..